Record an attestation
Records an attestation for the given account, including the agreement or requirement being acknowledged, the documents presented, and the acceptance evidence captured at the time of submission.
Body
required
application/json
- Type: object · AttestationBase
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/v1/attestations
curl https://api.paypercut.io/v1/attestations \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"kind": "three_party_agreement",
"requirement_id": "",
"agreement_kind": "",
"agreement_version": 1,
"agreement_locale": "",
"person": "",
"documents": [
{
"key": "",
"accepted": true
}
],
"accepted_at": "",
"ip": "203.0.113.10",
"ip_country": "BG",
"user_agent": "",
"evidence_report": {
"additionalProperty": "anything"
}
}'
{
"kind": "three_party_agreement",
"requirement_id": "string",
"agreement_kind": "string",
"agreement_version": 1,
"agreement_locale": "string",
"person": "string",
"documents": [
{
"key": "string",
"accepted": true
}
],
"accepted_at": "2026-04-03T12:46:07.666Z",
"ip": "203.0.113.10",
"ip_country": "BG",
"user_agent": "string",
"evidence_report": {
"additionalProperty": "anything"
},
"object": "attestation",
"id": "string",
"accepted": true,
"actor_identity_id": "string",
"source": "string",
"scope": "string",
"created_at": "2026-04-03T12:46:07.666Z"
}
